umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties
- Related Symbols

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all functions with links to the classes they belong to:

### - m -

- main() : HelloWorld
- mainViewWidget() : UMLApp
- mainWidget() : SinglePageDialogBase
- makeCategoryTypeMenu() : WidgetBasePopupMenu
- makeChildObject() : UMLClassifier, UMLEntity, UMLEnum
- makeClassifierShowPopup() : WidgetBasePopupMenu
- makeLocalTypeName() : CSharpWriter, ValaWriter
- makeMultiClassifierShowPopup() : WidgetBasePopupMenu
- makeNewMenu() : ListPopupMenu
- makePackageTag() : XMLSchemaWriter
- makeSchemaTag() : XMLSchemaWriter
- makeSelected() : UMLScene
- MapEntry() : Tracer::MapEntry
- mapFromClient() : DiagramProxyWidget
- mapToClient() : DiagramProxyWidget
- mapToScene() : LayoutGenerator
- markAsWritten() : XMLSchemaWriter
- matchFilter() : CodeImpSelectPage
- maxCanvasSize() : UMLScene
- maximumListOccurances() : CodeClassField
- maximumSize() : ActivityWidget, StateWidget, UMLWidget
- maxX() : ChildWidgetPlacementPort
- maxY() : ChildWidgetPlacementPort, PreconditionWidget
- maybeSignalObjectCreated() : UMLObject
- mayHaveChildItems() : UMLListView
- menuFromAction() : ListPopupMenu
- mergeAssociationDataIntoUMLRepresentation() : AssociationWidget
- messageAdded() : ObjectWidget
- messageAt() : ToolBarState, UMLScene
- messageList() : UMLScene
- messageOverlap() : ObjectWidget
- messageRemoved() : ObjectWidget
- messageToApp() : CodeImpStatusPage, CodeImpThread
- messageToLog() : CodeImpStatusPage, CodeImpThread
- messageToWiz() : CodeImpThread
- MessageWidget() : MessageWidget
- MessageWidgetPropertiesDialog() : MessageWidgetPropertiesDialog
- Method() : VirtualMethodClass
- method() : apackage.AbstractClass, apackage.Base, method-parameters.TestMethodParameters
- method_params() : method-parameters.TestMethodParameters
- method_params_dict() : method-parameters.TestMethodParameters
- method_params_dict_nested() : method-parameters.TestMethodParameters
- method_params_list() : method-parameters.TestMethodParameters
- method_params_simple_default_values() : method-parameters.TestMethodParameters
- method_params_tuple() : method-parameters.TestMethodParameters
- methodWithVector() : apackage.Base
- metric() : DotPaintDevice
- midPoint() : AssociationWidget
- mimeTypeToImageType() : UMLViewImageExporterModel
- minimumListOccurances() : CodeClassField
- minimumSize() : ActivityWidget, ActorWidget, ArtifactWidget, CategoryWidget, ClassifierWidget, CombinedFragmentWidget, ComponentWidget, DatatypeWidget, EntityWidget, EnumWidget, FloatingTextWidget, ForkJoinWidget, MessageWidget, NodeWidget, NoteWidget, ObjectNodeWidget, ObjectWidget, PackageWidget, PreconditionWidget, RegionWidget, SignalWidget, StateWidget, UMLWidget, UseCaseWidget
- minimumSizeHint() : StatusBarToolButton
- minX() : ChildWidgetPlacementPort
- minY() : ChildWidgetPlacementPort, PreconditionWidget
- modelID() : UMLDoc
- modified() : CodeClassField, DiagramsWindow, ObjectsWindow, StereotypesWindow, UMLObject
- modifiedCodeContent() : CodeGenerationPolicy
- ModifiedWidget() : ModifiedWidget
- mouseDoubleClick() : ToolBarState
- mouseDoubleClickAssociation() : ToolBarState, ToolBarStateArrow
- mouseDoubleClickEmpty() : ToolBarState
- mouseDoubleClickEvent() : AssociationWidget, ClassifierWidget, CodeEditor, DiagramProxyWidget, NoteWidget, StateWidget, UMLListView, UMLScene, UMLWidget
- mouseDoubleClickWidget() : ToolBarState, ToolBarStateArrow
- mouseMove() : ToolBarState, ToolBarStateAssociation, ToolBarStateMessages, ToolBarStateOneWidget
- mouseMoveAssociation() : ToolBarState, ToolBarStateArrow
- mouseMoveEmpty() : ToolBarState, ToolBarStateArrow
- mouseMoveEvent() : AssociationLine, AssociationWidget, BirdView, DiagramProxyWidget, ObjectWidget, SignalWidget, StateWidget, UMLListView, UMLScene, UMLWidget
- mouseMoveWidget() : ToolBarState, ToolBarStateArrow
- mousePress() : ToolBarState
- mousePressAssociation() : ToolBarState, ToolBarStateArrow
- mousePressEmpty() : ToolBarState, ToolBarStateArrow
- mousePressEvent() : AssociationLine, AssociationWidget, BirdView, DiagramProxyWidget, ModifiedWidget, ObjectWidget, StateWidget, UMLListView, UMLScene, UMLView, UMLWidget
- mousePressWidget() : ToolBarState, ToolBarStateArrow
- mouseRelease() : ToolBarState
- mouseReleaseAssociation() : ToolBarState, ToolBarStateArrow, ToolBarStateAssociation
- mouseReleaseEmpty() : ToolBarState, ToolBarStateArrow, ToolBarStateAssociation, ToolBarStateMessages, ToolBarStateOneWidget, ToolBarStateOther
- mouseReleaseEvent() : AssociationLine, AssociationWidget, BirdView, DiagramProxyWidget, StateWidget, UMLListView, UMLScene, UMLView, UMLWidget
- mouseReleaseWidget() : ToolBarState, ToolBarStateArrow, ToolBarStateAssociation, ToolBarStateMessages, ToolBarStateOneWidget
- moveByLocal() : UMLWidget
- moveDestructionBox() : SeqLineWidget
- moveDestructionBy() : ObjectWidget
- moveEntireAssoc() : AssociationWidget
- moveEvent() : AssociationWidget, ObjectWidget, UMLWidget
- moveMidPointsBy() : AssociationWidget
- moveObject() : UMLListView
- moveParmLeft() : UMLOperation
- moveParmRight() : UMLOperation
- moveSelectedBy() : UMLScene
- moveSelectedItems() : CodeGenSelectPage
- moveWidgetBy() : ActivityWidget, ComponentWidget, FloatingTextWidget, MessageWidget, ObjectWidget, PinPortBase, UMLWidget
- MultiPageDialogBase() : MultiPageDialogBase
- multipleInstance() : ObjectWidget
- multiplicity() : AssociationWidget, UMLRole
- multiplicityWidget() : AssociationWidget
- MySQLWriter() : MySQLWriter